import 'package:flutter_printerble/src/printerble.dart';

typedef PrintData = Map<String, Printerble>;

/// [CorePrinter] is an common interface for Android in-built printers and general BT Printers.
/// Implement this abstact class with the the Printer SDK.
abstract class CorePrinter {
  /// Ger Device serial number
  Future<String?> get serialNo;

  /// Common Printer document format supported print method.
  Future<void> print(List<PrintData> data);
}
